import request from '../../../utils/gw_ajax_request.js';

const baseUrl = '';

// 获取所有责任处室
export function getDutyDept(condition) {
  return request({
    url: baseUrl + '/bis/insp/zg/pblm/getDutyDept?condition=' + condition,
    method: 'GET',
  });
}

// 督查事项分页列表
export function getPageList(data) {
  return request({
    url: baseUrl + '/bis/insp/BisInspProblemRelation/getPageList',
    method: 'POST',
    data,
  });
}

// 获取督查事项下拉框
export function getObjDropDownBox(data) {
  return request({
    url: baseUrl + '/bis/insp/BisInspProblemRelation/getObjDropDownBox',
    method: 'POST',
    data,
  });
}

// 获取督查事项编辑全覆盖督查信息下拉框
export function getDcDropDownBox(data) {
  return request({
    url: baseUrl + '/bis/insp/BisInspProblemRelation/getDcDropDownBox',
    method: 'POST',
    data,
  });
}

// 督查事项新增
export function BisInspProblemRelationAdd(data) {
  return request({
    url: baseUrl + '/bis/insp/BisInspProblemRelation/add',
    method: 'POST',
    data,
  });
}

// 督查事项删除
export function BisInspProblemRelationDelete(id) {
  return request({
    url: baseUrl + `/bis/insp/BisInspProblemRelation/delete/${id}`,
    method: 'POST',
  });
}

// 督查事项修改
export function BisInspProblemRelationUpdate(data) {
  return request({
    url: baseUrl + '/bis/insp/BisInspProblemRelation/update',
    method: 'POST',
    data,
  });
}

// 问题清单维护 --- 新增
export function addPblms(data) {
  return request({
    url: baseUrl + '/dc/insp/pblms',
    method: 'POST',
    data,
  });
}

// 问题清单维护 --- 分页列表
export function getPblmList(data) {
  return request({
    url: baseUrl + '/dc/insp/pblms/getPblmList',
    method: 'POST',
    data,
  });
}
// 问题清单维护 --- 修改
export function updateByParam(data) {
  return request({
    url: baseUrl + '/dc/insp/pblms/updateByParam',
    method: 'POST',
    data,
  });
}
